Skip to content

Import contacts from uploaded file

Request

Trigger contact import from a previously uploaded CSV file. Required field: columns — an ordered list of column-mapping objects describing how to map CSV columns to contact fields.

Security
bearerAuth
Path
uuidstringrequired

Resource UUID.

Bodyapplication/jsonrequired
columnsArray of objectsrequired

Ordered list of column mappings (one per CSV column).

Example:
[ { "source": "first_name", "target": "first_name" }, { "source": "email", "target": "email" } ]
list_uuidstring, (uuid)

Optional list to add imported contacts to.

tagsArray of strings, (uuid)

Optional tag UUIDs to apply to imported contacts.

POST
/leads/api/file-imports/{uuid}/import-leads
curl -i -X POST \
  'https://leadgen.grinfi.io/leads/api/file-imports/{uuid}/import-leads' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "columns": [
      {
        "source": "first_name",
        "target": "first_name"
      },
      {
        "source": "email",
        "target": "email"
      }
    ],
    "list_uuid": "5322e0f5-7135-4eb5-b1c4-7805e832fe2f"
  }'

Responses

Import job started.

Response
No content